---
title: Upgrade Window
url: https://docs.vultr.com/products/storage/databases/kafka/management/settings/upgrade-window
description: A scheduling feature that lets you control when system updates are applied to your Managed Kafka instance.
publish_date: 2024-10-16T12:45:30.216246Z
last_updated: 2026-05-26T19:44:54.554328Z
---

# How to Manage Upgrade Window for Vultr Managed Apache Kafka®

Vultr Managed Apache Kafka® allows customers to set and customize their **upgrade schedule** by selecting the preferred day of the week and time. This flexible interface gives users control over when system upgrades occur, ensuring minimal disruption to their operations. Customers can easily adjust the upgrade window to fit their workflow and ensure their Kafka database remains up-to-date without impacting critical tasks.

Follow this guide to manage upgrade window for Vultr Managed Apache Kafka® using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and select **Databases**.
    1. Select the target database.
    1. Navigate to **Settings**, and select **Upgrade Window**.
    1. Select a **Day of the Week** and a **Start Time**. 
    1. Click **Apply Changes**.

=== "Vultr API"

    1. List all the databases by sending a `GET` request to the [**List Managed Databases** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/list-databases) and note the target database's ID.

        ```console
        $ curl "https://api.vultr.com/v2/databases" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```


    1. Send a `PUT` request to the [**Update Managed Database** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/get-database) to update the upgrade window.
 
        ```console
        $ curl "https://api.vultr.com/v2/databases/<database-id>" \
            -X PUT \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "maintenance_dow" : "tuesday",           
                "maintenance_time" : "13:00"        
        }'
        ```

=== "Vultr CLI"

    1. List all databases and note the target database's ID.

        ```console
        $ vultr-cli database list --summarize
        ```

    1. Update the maintenance day of the week and time.

        ```console
        $ vultr-cli database update <database-id> \
        --maintenance-dow sunday \
        --maintenance-time 01:00
        ```

        Run `vultr-cli database update --help` to view all options.

=== "Terraform"

    1. Open your Terraform configuration for the existing Managed Apache Kafka® resource.

    1. Add or update the `maintenance_dow` and `maintenance_time` arguments.

        ```terraform
        resource "vultr_database" "kafka" {
            # ...existing fields (database_engine, region, plan, label, etc.)

            maintenance_dow  = "sunday"
            maintenance_time = "01:00"
        }
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 1 changed, 0 destroyed.
        ```
